## samba 3.4.0-3ubuntu5.8trisquel1

=== source3/lib/netapi/examples/Makefile ===
GTK_FLAGS=`pkg-config gtk+-2.0 --cflags`
GTK_LIBS=`pkg-config gtk+-2.0 --libs`

KRB5LIBS=-Wl,-Bsymbolic-functions -Wl,-Bsymbolic-functions -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
LDAP_LIBS=-lldap -llber 
LIBS=-lcap -lresolv -lnsl -ldl -lnetapi -ltdb -ltalloc
DEVELOPER_CFLAGS=-g -Wall -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -DDEBUG_PASSWORD -DDEVELOPER -Wdeclaration-after-statement -Werror-implicit-function-declaration
CCFLAGS=-I../ -L../../../bin  -g -Wall -O2 $(FLAGS) -D_SAMBA_BUILD_=3 $(GTK_FLAGS)
CC=gcc
PICFLAG=-fPIC
LDFLAGS=-pie -Wl,-Bsymbolic-functions -Wl,-Bsymbolic-functions -L./bin
DYNEXP=-Wl,--export-dynamic
NETAPI_LIBS=$(LIBS) $(KRB5LIBS) $(LDAP_LIBS)
CMDLINE_LIBS=$(NETAPI_LIBS) -lpopt

# Compile a source file.
COMPILE_CC = $(CC) -I. $(CCFLAGS) $(PICFLAG) -c $< -o $@
COMPILE = $(COMPILE_CC)

PROGS = bin/getdc \
	bin/dsgetdc \
	bin/netdomjoin \
	bin/netdomjoin-gui \
	bin/getjoinableous \
	bin/rename_machine \
	bin/user_add \
	bin/user_del \
	bin/user_enum \
	bin/user_dispinfo \
	bin/user_chgpwd \
	bin/user_getinfo \
	bin/user_setinfo \
	bin/user_modalsget \
	bin/user_modalsset \
	bin/user_getgroups \
	bin/user_setgroups \
	bin/user_getlocalgroups \
	bin/group_add \
	bin/group_del \
	bin/group_enum \
	bin/group_setinfo \
	bin/group_getinfo \
	bin/group_adduser \
	bin/group_deluser \
	bin/group_getusers \
	bin/group_setusers \
	bin/localgroup_add \
	bin/localgroup_del \
	bin/localgroup_getinfo \
	bin/localgroup_setinfo \
	bin/localgroup_enum \
	bin/localgroup_addmembers \
	bin/localgroup_delmembers \
	bin/localgroup_setmembers \
	bin/localgroup_getmembers \
	bin/remote_tod \
	bin/server_getinfo \
	bin/share_add \
	bin/share_del \
	bin/share_enum \
	bin/share_getinfo \
	bin/share_setinfo \
	bin/file_close \
	bin/file_getinfo \
	bin/file_enum \
	bin/shutdown_init \
	bin/shutdown_abort

all: $(PROGS)

MAKEDIR = || exec false; \
	  if test -d "$$dir"; then :; else \
	  echo mkdir "$$dir"; \
	  mkdir -p "$$dir" >/dev/null 2>&1 || \
	  test -d "$$dir" || \
	  mkdir "$$dir" || \
	  exec false; fi || exec false

BINARY_PREREQS = bin/.dummy

bin/.dummy:
	@if (: >> $@ || : > $@) >/dev/null 2>&1; then :; else \
	  dir=bin $(MAKEDIR); fi
	@: >> $@ || : > $@ # what a fancy emoticon!

.c.o:
	@if (: >> $@ || : > $@) >/dev/null 2>&1; then rm -f $@; else \
	 dir=`echo $@ | sed 's,/[^/]*$$,,;s,^$$,.,'` $(MAKEDIR); fi
	@echo Compiling $*.c
	@$(COMPILE) && exit 0;\
		echo "The following command failed:" 1>&2;\
		echo "$(COMPILE_CC)" 1>&2;\
		$(COMPILE_CC) >/dev/null 2>&1

CMDLINE_OBJ = common.o
GETDC_OBJ = getdc/getdc.o $(CMDLINE_OBJ)
DSGETDC_OBJ = dsgetdc/dsgetdc.o $(CMDLINE_OBJ)
NETDOMJOIN_OBJ = join/netdomjoin.o $(CMDLINE_OBJ)
NETDOMJOIN_GUI_OBJ = netdomjoin-gui/netdomjoin-gui.o
GETJOINABLEOUS_OBJ = join/getjoinableous.o $(CMDLINE_OBJ)
RENAMEMACHINE_OBJ = join/rename_machine.o $(CMDLINE_OBJ)
USERADD_OBJ = user/user_add.o $(CMDLINE_OBJ)
USERDEL_OBJ = user/user_del.o $(CMDLINE_OBJ)
USERENUM_OBJ = user/user_enum.o $(CMDLINE_OBJ)
USERDISPINFO_OBJ = user/user_dispinfo.o $(CMDLINE_OBJ)
USERCHGPWD_OBJ = user/user_chgpwd.o $(CMDLINE_OBJ)
USERGETINFO_OBJ = user/user_getinfo.o $(CMDLINE_OBJ)
USERSETINFO_OBJ = user/user_setinfo.o $(CMDLINE_OBJ)
USERMODALSGET_OBJ = user/user_modalsget.o $(CMDLINE_OBJ)
USERMODALSSET_OBJ = user/user_modalsset.o $(CMDLINE_OBJ)
USERGETGROUPS_OBJ = user/user_getgroups.o $(CMDLINE_OBJ)
USERSETGROUPS_OBJ = user/user_setgroups.o $(CMDLINE_OBJ)
USERGETLOCALGROUPS_OBJ = user/user_getlocalgroups.o $(CMDLINE_OBJ)
GROUPADD_OBJ = group/group_add.o $(CMDLINE_OBJ)
GROUPDEL_OBJ = group/group_del.o $(CMDLINE_OBJ)
GROUPENUM_OBJ = group/group_enum.o $(CMDLINE_OBJ)
GROUPSETINFO_OBJ = group/group_setinfo.o $(CMDLINE_OBJ)
GROUPGETINFO_OBJ = group/group_getinfo.o $(CMDLINE_OBJ)
GROUPADDUSER_OBJ = group/group_adduser.o $(CMDLINE_OBJ)
GROUPDELUSER_OBJ = group/group_deluser.o $(CMDLINE_OBJ)
GROUPGETUSERS_OBJ = group/group_getusers.o $(CMDLINE_OBJ)
GROUPSETUSERS_OBJ = group/group_setusers.o $(CMDLINE_OBJ)
LOCALGROUPADD_OBJ = localgroup/localgroup_add.o $(CMDLINE_OBJ)
LOCALGROUPDEL_OBJ = localgroup/localgroup_del.o $(CMDLINE_OBJ)
LOCALGROUPGETINFO_OBJ = localgroup/localgroup_getinfo.o $(CMDLINE_OBJ)
LOCALGROUPSETINFO_OBJ = localgroup/localgroup_setinfo.o $(CMDLINE_OBJ)
LOCALGROUPENUM_OBJ = localgroup/localgroup_enum.o $(CMDLINE_OBJ)
LOCALGROUPADDMEMBERS_OBJ = localgroup/localgroup_addmembers.o $(CMDLINE_OBJ)
LOCALGROUPDELMEMBERS_OBJ = localgroup/localgroup_delmembers.o $(CMDLINE_OBJ)
LOCALGROUPSETMEMBERS_OBJ = localgroup/localgroup_setmembers.o $(CMDLINE_OBJ)
LOCALGROUPGETMEMBERS_OBJ = localgroup/localgroup_getmembers.o $(CMDLINE_OBJ)
REMOTETOD_OBJ = server/remote_tod.o $(CMDLINE_OBJ)
SERVERGETINFO_OBJ = server/server_getinfo.o $(CMDLINE_OBJ)
SHAREADD_OBJ = share/share_add.o $(CMDLINE_OBJ)
SHAREDEL_OBJ = share/share_del.o $(CMDLINE_OBJ)
SHAREENUM_OBJ = share/share_enum.o $(CMDLINE_OBJ)
SHAREGETINFO_OBJ = share/share_getinfo.o $(CMDLINE_OBJ)
SHARESETINFO_OBJ = share/share_setinfo.o $(CMDLINE_OBJ)
FILECLOSE_OBJ = file/file_close.o $(CMDLINE_OBJ)
FILEGETINFO_OBJ = file/file_getinfo.o $(CMDLINE_OBJ)
FILEENUM_OBJ = file/file_enum.o $(CMDLINE_OBJ)
SHUTDOWNINIT_OBJ = shutdown/shutdown_init.o $(CMDLINE_OBJ)
SHUTDOWNABORT_OBJ = shutdown/shutdown_abort.o $(CMDLINE_OBJ)

bin/getdc: $(BINARY_PREREQS) $(GETDC_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(GETDC_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/dsgetdc: $(BINARY_PREREQS) $(DSGETDC_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(DSGETDC_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/getjoinableous: $(BINARY_PREREQS) $(GETJOINABLEOUS_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(GETJOINABLEOUS_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/rename_machine: $(BINARY_PREREQS) $(RENAMEMACHINE_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(RENAMEMACHINE_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/netdomjoin: $(BINARY_PREREQS) $(NETDOMJOIN_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(NETDOMJOIN_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/netdomjoin-gui: $(BINARY_PREREQS) $(NETDOMJOIN_GUI_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) $(GTK_FLAGS) -o $@ $(NETDOMJOIN_GUI_OBJ) $(LDFLAGS) $(DYNEXP) $(LIBS) $(KRB5LIBS) $(LDAP_LIBS) $(GTK_LIBS)

bin/user_add: $(BINARY_PREREQS) $(USERADD_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(USERADD_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/user_del: $(BINARY_PREREQS) $(USERDEL_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(USERDEL_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/user_enum: $(BINARY_PREREQS) $(USERENUM_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(USERENUM_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/user_dispinfo: $(BINARY_PREREQS) $(USERDISPINFO_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(USERDISPINFO_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/user_chgpwd: $(BINARY_PREREQS) $(USERCHGPWD_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(USERCHGPWD_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/user_getinfo: $(BINARY_PREREQS) $(USERGETINFO_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(USERGETINFO_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/user_setinfo: $(BINARY_PREREQS) $(USERSETINFO_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(USERSETINFO_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/user_modalsget: $(BINARY_PREREQS) $(USERMODALSGET_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(USERMODALSGET_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/user_modalsset: $(BINARY_PREREQS) $(USERMODALSSET_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(USERMODALSSET_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/user_getgroups: $(BINARY_PREREQS) $(USERGETGROUPS_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(USERGETGROUPS_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/user_setgroups: $(BINARY_PREREQS) $(USERSETGROUPS_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(USERSETGROUPS_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/user_getlocalgroups: $(BINARY_PREREQS) $(USERGETLOCALGROUPS_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(USERGETLOCALGROUPS_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/group_add: $(BINARY_PREREQS) $(GROUPADD_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(GROUPADD_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/group_del: $(BINARY_PREREQS) $(GROUPDEL_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(GROUPDEL_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/group_enum: $(BINARY_PREREQS) $(GROUPENUM_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(GROUPENUM_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/group_setinfo: $(BINARY_PREREQS) $(GROUPSETINFO_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(GROUPSETINFO_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/group_getinfo: $(BINARY_PREREQS) $(GROUPGETINFO_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(GROUPGETINFO_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/group_adduser: $(BINARY_PREREQS) $(GROUPADDUSER_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(GROUPADDUSER_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/group_deluser: $(BINARY_PREREQS) $(GROUPDELUSER_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(GROUPDELUSER_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/group_getusers: $(BINARY_PREREQS) $(GROUPGETUSERS_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(GROUPGETUSERS_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/group_setusers: $(BINARY_PREREQS) $(GROUPSETUSERS_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(GROUPSETUSERS_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/localgroup_add: $(BINARY_PREREQS) $(LOCALGROUPADD_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(LOCALGROUPADD_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/localgroup_del: $(BINARY_PREREQS) $(LOCALGROUPDEL_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(LOCALGROUPDEL_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/localgroup_getinfo: $(BINARY_PREREQS) $(LOCALGROUPGETINFO_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(LOCALGROUPGETINFO_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/localgroup_setinfo: $(BINARY_PREREQS) $(LOCALGROUPSETINFO_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(LOCALGROUPSETINFO_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/localgroup_enum: $(BINARY_PREREQS) $(LOCALGROUPENUM_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(LOCALGROUPENUM_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/localgroup_addmembers: $(BINARY_PREREQS) $(LOCALGROUPADDMEMBERS_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(LOCALGROUPADDMEMBERS_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/localgroup_delmembers: $(BINARY_PREREQS) $(LOCALGROUPDELMEMBERS_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(LOCALGROUPDELMEMBERS_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/localgroup_setmembers: $(BINARY_PREREQS) $(LOCALGROUPSETMEMBERS_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(LOCALGROUPSETMEMBERS_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/localgroup_getmembers: $(BINARY_PREREQS) $(LOCALGROUPGETMEMBERS_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(LOCALGROUPGETMEMBERS_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/remote_tod: $(BINARY_PREREQS) $(REMOTETOD_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(REMOTETOD_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/server_getinfo: $(BINARY_PREREQS) $(SERVERGETINFO_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(SERVERGETINFO_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/share_add: $(BINARY_PREREQS) $(SHAREADD_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(SHAREADD_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/share_del: $(BINARY_PREREQS) $(SHAREDEL_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(SHAREDEL_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/share_enum: $(BINARY_PREREQS) $(SHAREENUM_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(SHAREENUM_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

bin/share_getinfo: $(BINARY_PREREQS) $(SHAREGETINFO_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(SHAREGETINFO_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

=== source3/lib/netapi/tests/Makefile ===
KRB5LIBS=-Wl,-Bsymbolic-functions -Wl,-Bsymbolic-functions -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
LDAP_LIBS=-lldap -llber 
LIBS=-lcap -lresolv -lnsl -ldl -lnetapi -ltdb -ltalloc
DEVELOPER_CFLAGS=-g -Wall -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -DDEBUG_PASSWORD -DDEVELOPER -Wdeclaration-after-statement -Werror-implicit-function-declaration
CCFLAGS=-I../ -L../../../bin  -g -Wall -O2 $(FLAGS) -D_SAMBA_BUILD_=3 $(GTK_FLAGS)
CC=gcc
PICFLAG=-fPIC
LDFLAGS=-pie -Wl,-Bsymbolic-functions -Wl,-Bsymbolic-functions -L./bin
DYNEXP=-Wl,--export-dynamic
NETAPI_LIBS=$(LIBS) $(KRB5LIBS) $(LDAP_LIBS)
CMDLINE_LIBS=$(NETAPI_LIBS) -lpopt

# Compile a source file.
COMPILE_CC = $(CC) -I. $(CCFLAGS) $(PICFLAG) -c $< -o $@
COMPILE = $(COMPILE_CC)

PROGS = bin/netapitest

all: $(PROGS)

MAKEDIR = || exec false; \
	  if test -d "$$dir"; then :; else \
	  echo mkdir "$$dir"; \
	  mkdir -p "$$dir" >/dev/null 2>&1 || \
	  test -d "$$dir" || \
	  mkdir "$$dir" || \
	  exec false; fi || exec false

BINARY_PREREQS = bin/.dummy

bin/.dummy:
	@if (: >> $@ || : > $@) >/dev/null 2>&1; then :; else \
	  dir=bin $(MAKEDIR); fi
	@: >> $@ || : > $@ # what a fancy emoticon!

.c.o:
	@if (: >> $@ || : > $@) >/dev/null 2>&1; then rm -f $@; else \
	 dir=`echo $@ | sed 's,/[^/]*$$,,;s,^$$,.,'` $(MAKEDIR); fi
	@echo Compiling $*.c
	@$(COMPILE) && exit 0;\
		echo "The following command failed:" 1>&2;\
		echo "$(COMPILE_CC)" 1>&2;\
		$(COMPILE_CC) >/dev/null 2>&1

CMDLINE_OBJ = common.o
NETAPIBUFFER_OBJ = netapibuffer.o
NETAPITEST_OBJ = netapitest.o netlocalgroup.o netuser.o netgroup.o netdisplay.o netshare.o netfile.o netserver.o $(CMDLINE_OBJ)

bin/netapitest: $(BINARY_PREREQS) $(NETAPITEST_OBJ)
	@echo Linking $@
	@$(CC) $(CCFLAGS) -o $@ $(NETAPITEST_OBJ) $(LDFLAGS) $(DYNEXP) $(CMDLINE_LIBS)

clean:
	-rm -f $(PROGS)
	-rm -f core */*~ *~ \
		*/*.o */*/*.o */*/*/*.o

=== debian/changelog ===
samba (2:3.4.0-3ubuntu5.8trisquel1) awen; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 01 Mar 2011 20:09:28 +0000

samba (2:3.4.0-3ubuntu5.8) karmic-security; urgency=low

  * SECURITY UPDATE: denial of service via missing range checks on file
    descriptors
    - debian/patches/security-CVE-2011-0719.patch: validate miscellaneous
      file descriptors.
    - CVE-2011-0719

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Feb 2011 16:21:11 -0500

samba (2:3.4.0-3ubuntu5.7) karmic-security; urgency=low

  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via large number of SID sub authorities
    - debian/patches/security-CVE-2010-3069.patch: limit number of SID
      sub authorities in libcli/security/dom_sid.*, source3/lib/util_sid.c,
      source3/libads/ldap.c, source3/libsmb/cliquota.c,
      source3/smbd/nttrans.c.
    - CVE-2010-3069

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 09 Sep 2010 10:12:10 -0400

samba (2:3.4.0-3ubuntu5.6) karmic-security; urgency=low

  * SECURITY UPDATE: arbitrary file disclosure via wide links
    - debian/patches/security-CVE-2010-0926.patch: disable wide links when
      UNIX extensions are enabled in source3/include/proto.h,
      source3/param/loadparm.c, source3/smbd/service.c,
      source3/smbd/trans2.c, source3/smbd/vfs.c,
      docs/htmldocs/manpages/smb.conf.5.html and docs/manpages/smb.conf.5.
    - CVE-2010-0926
  * WARNING: This changes the default samba behaviour. For security
    reasons, it is no longer possible to use wide links and UNIX
    extensions at the same time. After applying this security update, wide
    links will be disabled automatically as UNIX extensions are turned on
    by default. If wide links are required, you may re-enable them by
    adding "unix extensions = no" to the [global] section of
    the /etc/samba/smb.conf configuration file.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 22 Mar 2010 16:57:53 -0400

samba (2:3.4.0-3ubuntu5.5) karmic-proposed; urgency=low

  * debian/patches/fix-libsmb-keepalive-packets.patch: Fix winbind authentication
    due to an invalid NTML2 signature. (LP: #479955)
    (https://bugzilla.samba.org/show_bug.cgi?id=6646)
  * debian/patches/fix-samba-point-and-print.patch: Allow automatic download
    of printer drivers from a Samba PDC (LP: #500457)
    (https://bugzilla.samba.org/show_bug.cgi?id=6568)
  * debian/patches/fix-too-many-openfiles.patch: When connecting to a Windows 
    7 share users will get an error message "Too many open files are in use"
    after a certain number of files are copied. (LP: #462172 )
    (https://bugzilla.samba.org/show_bug.cgi?id=6837)
  * debian/patches/fix-win98-failed-connect.patch: Allow win98 clients to 
    connect a samba server. Users will get an "Error 66" message. (LP: #502878)
    (https://bugzilla.samba.org/show_bug.cgi?id=6551) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 05 Feb 2010 15:03:50 -0500

samba (2:3.4.0-3ubuntu5.4) karmic-security; urgency=low

  * SECURITY UPDATE: privilege escalation via mount.cifs race
    - debian/patches/security-CVE-2009-3297.patch: validate mount point and
      perform mount in "." to prevent race in source3/client/mount.cifs.c.
    - CVE-2009-3297

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 26 Jan 2010 15:02:10 -0500

samba (2:3.4.0-3ubuntu5.3) karmic-proposed; urgency=low

  * debian/samba.if-up: allow "NetworkManager" as a recognized address
    family... it's obviously /not/ an address family, but it's what gets
    sent when using NM, so we'll cope for now.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Dec 2009 11:58:34 +0000

samba (2:3.4.0-3ubuntu5.2) karmic-proposed; urgency=low

  * debian/samba.if-up, debian/rules: add an if-up.d script for samba to
    try to start nmbd, if it's not running because /etc/init.d/samba ran
    before the network was up at boot time.  LP: #462169.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Nov 2009 10:34:06 +0000

samba (2:3.4.0-3ubuntu5.1) karmic-proposed; urgency=low

  * debian/patches/fix-smbclient-long-names.patch: Samba shares with more than 12 characters are not
    displayed. (LP: #449735)
  * debian/patches/fix-upstream-6680.patch: Fix Windows 7 computers joining a domain. Without
    this patch users will have to apply a registry hack to have their Windows 7 computers
    join a Windows Domain [http://wiki.samba.org/index.php/Windows7] (LP: #462626)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 27 Oct 2009 21:04:53 -0400

samba (2:3.4.0-3ubuntu5) karmic; urgency=low

  * SECURITY UPDATE: whole filesystem share via user with no home directory
    - debian/patches/security-CVE-2009-2813.patch: make sure home directory
      is set in source3/param/loadparm.c, source3/smbd/service.c.
    - CVE-2009-2813
  * SECURITY UPDATE: credentials file disclosure and unauthorized usage via
    setuid mount.cifs
    - debian/patches/security-CVE-2009-2948.patch: don't open credentials
      file if user doesn't have permission, and don't print password when
      using verbose option in source3/client/mount.cifs.c.
    - CVE-2009-2948
  * SECURITY UPDATE: denial of service via unexpected oplock break
    notification reply
    - debian/patches/security-CVE-2009-2906.patch: track messages already
      processed in source3/include/smb.h, source3/smbd/process.c.
    - CVE-2009-2906

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 01 Oct 2009 08:20:29 -0400

samba (2:3.4.0-3ubuntu4) karmic; urgency=low

  * Build-depend on libreadline-dev instead of libreadline5-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Sep 2009 22:16:40 +0200

samba (2:3.4.0-3ubuntu3) karmic; urgency=low

  * Fix FTBFS: fix libtalloc detection. (cherry picked from Debian)
    + debian/control: Add pkg-config as a dependency, needed to fix libtalloc detection


=== debian/control ===
Source: samba
Section: net
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>, Noèl Köthe <noel@debian.org>, Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 6.0.0), libpam0g-dev, libreadline-dev,
	libcups2-dev | libcupsys2-dev,
	libacl1-dev [alpha amd64 arm armeb armel hppa i386 ia64 lpia m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc],
	libkrb5-dev, libldap2-dev, po-debconf, libpopt-dev, quilt, uuid-dev,
	libtalloc-dev (>= 1.2.0~git20080616),
	libcap2-dev [alpha amd64 arm armeb armel hppa i386 ia64 lpia m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc],
	libkeyutils-dev [alpha amd64 arm armeb armel hppa i386 ia64 lpia m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc],
	pkg-config
Build-Conflicts: libfam-dev
Standards-Version: 3.8.2
Homepage: http://www.samba.org
Vcs-Browser: http://svn.debian.org/wsvn/pkg-samba/trunk/samba
Vcs-Svn: svn://svn.debian.org/svn/pkg-samba/trunk/samba

Package: samba
Architecture: any
Depends: samba-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 0.76-13.1), libpam-modules, lsb-base (>= 3.2-13), procps, update-inetd, adduser
Recommends: logrotate
Suggests: openbsd-inetd | inet-superserver, smbldap-tools, ldb-tools, ufw
Replaces: samba-common (<= 2.0.5a-2)
Conflicts: samba4 (<< 4.0.0~alpha6-2)
Description: SMB/CIFS file, print, and login server for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.  Samba can also function
 as an NT4-style domain controller, and can integrate with both NT4 domains
 and Active Directory realms as a member server.
 .
 This package provides the components necessary to use Samba as a
 stand-alone file and print server.  For use in an NT4 domain or Active
 Directory realm, you will also need the winbind package.
 .
 This package is not required for connecting to existing SMB/CIFS servers
 (see smbclient) or for mounting remote filesystems (see smbfs).

Package: samba-common-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, samba-common (>= 2:3.4.0~pre1-2)
Replaces: samba (<< 3.0.20b-1), samba-common (<< 2:3.4.0~pre1-2)
Description: common files used by both the Samba server and client
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains files and programs needed by Samba when used as
 either a client or a server.

Package: samba-common
Architecture: all
Depends: ucf, ${misc:Depends}
Replaces: samba (<< 3.0.20b-1), samba4-common (<< 4.0.0~alpha7-1)
Conflicts: samba4-common (<< 4.0.0~alpha7-1)
Recommends: samba-common-bin
Description: common files used by both the Samba server and client
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains common files used by both Samba 3 and Samba 4.

Package: samba-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: samba4, samba4-testsuite
Description: Samba testing utilities
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains extra command-line tools such as smbtorture for
 performance-testing CIFS servers and clients.

Package: smbclient
Architecture: any
Depends: samba-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: samba (<< 2.999+3.0.alpha21-4), smbget
Provides: samba-client
Suggests: smbfs
Conflicts: samba4-clients
Description: command-line SMB/CIFS clients for Unix
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains command-line utilities for accessing Microsoft
 Windows and Samba servers, including smbclient, smbtar, and smbspool.
 Utilities for mounting shares locally are found in the package smbfs.

Package: swat
Architecture: any
Depends: samba (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, openbsd-inetd | inet-superserver
Recommends: samba-doc (= ${source:Version})
Description: Samba Web Administration Tool
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package allows you to administer a Samba server via a web browser.
 .
 SWAT is no longer actively maintained, and its default configuration is
 not secure for use over an untrusted network.  SWAT will also rewrite
 smb.conf, rearranging the entries and deleting all comments as well as
 include= and copy= options, so is not suitable for use in conjunction
 with hand-edited smb.conf files or the default package-managed
 configuration.

Package: samba-doc
Section: doc
Architecture: all
Suggests: samba-doc-pdf
Depends: ${misc:Depends}
Description: Samba documentation
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains all the non-PDF documentation for the Samba
 suite. See also samba-doc-pdf.

Package: samba-doc-pdf
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Samba documentation in PDF format
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package contains all the PDF documentation for the Samba suite.

Package: smbfs
Section: otherosfs
Priority: optional
Architecture: any
Depends: netbase (>= 2.02), samba-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: smbclient, keyutils
Replaces: smbfsx
Description: Samba file system utilities
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package provides utilities for mounting and unmounting cifs network
 file systems. Other command-line utilities such as smbclient, smbtar
 and smbspool are in the package smbclient.

Package: libpam-smbpass
Section: admin
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, samba-common (= ${source:Version}), ${misc:Depends},
	 libpam-runtime (>= 1.0.1-6)
Suggests: samba
Description: pluggable authentication module for Samba
 This is a module for PAM that enables a system administrator to migrate
 user passwords from the Unix password database to the SMB password
 database as used by Samba, and to subsequently keep the two databases in
 sync.  Unlike other solutions, it does this without needing users to log
 in to Samba using cleartext passwords, or requiring them to change their
 existing passwords.

Package: libsmbclient
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared library for communication with SMB/CIFS servers
 This package provides a shared library that enables client applications
 to talk to Microsoft Windows and Samba servers using the SMB/CIFS
 protocol.

Package: libsmbclient-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libsmbclient (= ${binary:Version}), ${misc:Depends}, samba-common (>= 2:3.4.0~pre1-2)
Description: development files for libsmbclient
 This package provides the development files (static library and headers)
 required for building applications against libsmbclient, a library that
 enables client applications to talk to Microsoft Windows and Samba servers
 using the SMB/CIFS protocol.

Package: winbind
Section: net
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, samba-common (= ${source:Version}), lsb-base (>= 3.0-6), adduser
Replaces: samba (<= 2.2.3-2)
Description: Samba nameservice integration server
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.  Samba can also function
 as an NT4-style domain controller, and can integrate with both NT4 domains
 and Active Directory realms as a member server.
 .
 This package provides winbindd, a daemon which integrates authentication
 and directory service (user/group lookup) mechanisms from a Windows
 domain on a Linux system.  User/group lookups are configured via
 /etc/nsswitch.conf, and authentication is integrated using the winbind
 module for PAM.

Package: samba-dbg
Section: debug
Priority: extra
Architecture: any
Depends: samba (= ${binary:Version}), ${misc:Depends}
Description: Samba debugging symbols
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package provides debugging information for the software in the
 Samba suite. Install it to get a better backtrace in the event of a
 crash.

Package: libwbclient0
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: likewise-open (<< 4.1.0.2956)
Conflicts: likewise-open (<< 4.1.0.2956)
Description: Samba winbind client library
 Samba is an implementation of the SMB/CIFS protocol for Unix systems,
 providing support for cross-platform file and printer sharing with
 Microsoft Windows, OS X, and other Unix systems.
 .
 This package provides a library for client applications that interact
 via the winbind pipe protocol with a Samba winbind server.

=== debian/rules ===
#!/usr/bin/make -f

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Set the host and build architectures for use with config.cache loading,
# cross-building, etc.
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

export DEB_HOST_GNU_TYPE
export DEB_BUILD_GNU_TYPE
export DEB_HOST_ARCH_OS

pyversion := $(shell pyversions -vd)

CFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

include /usr/share/quilt/quilt.make

DESTDIR=`pwd`/debian/tmp

conf_args = \
		--cache-file=./config.cache \
		--with-fhs \
		--enable-shared \
		--enable-static \
		--prefix=/usr \
		--sysconfdir=/etc \
		--libdir=/usr/lib/samba \
		--with-privatedir=/etc/samba \
		--with-piddir=/var/run/samba \
		--localstatedir=/var \
		--with-rootsbindir=/sbin \
		--with-pammodulesdir=/lib/security \
		--with-pam \
		--with-syslog \
		--with-utmp \
		--with-readline \
		--with-pam_smbpass \
		--with-libsmbclient \
		--with-winbind \
		--with-shared-modules=idmap_rid,idmap_ad,idmap_adex,idmap_hash,idmap_ldap,idmap_tdb2 \
		--with-automount \
		--with-ldap \
		--with-ads \
		--without-smbmount \
		--with-dnsupdate \
		--without-libtdb \
		--without-libnetapi \
		--with-modulesdir=/usr/lib/samba \
		--datarootdir=/usr/share \
		--datadir=/usr/share/samba \
		--with-swatdir=/usr/share/samba/swat \
		--with-lockdir=/var/run/samba \
		--with-statedir=/var/lib/samba \
		--with-cachedir=/var/cache/samba \
		--enable-external-libtalloc \
		--without-libtalloc \


ifeq ($(DEB_HOST_ARCH_OS),linux)
  conf_args += \
		--with-cifsmount \
		--with-cifsupcall \
		--with-acl-support \
		--with-quotas
  mount_cifs	= yes
  smbfs		= yes
else
  conf_args +=	--without-quotas --without-cifsmount
  mount_cifs	= no
  smbfs		= no
endif

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  conf_args += --build $(DEB_BUILD_GNU_TYPE)
else
  conf_args += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

configure: patch configure-stamp
configure-stamp:
	dh_testdir

	if [ -f debian/config.cache ]; then \
		cp -f debian/config.cache source3/config.cache; \
	fi

	[ -f source3/Makefile ] || (cd source3 && CFLAGS="$(CFLAGS)" ./configure $(conf_args))

	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir

	$(MAKE) -C source3 # headers
	$(MAKE) -C source3 everything
	$(MAKE) -C source3 nsswitch

	touch build-stamp

clean:	clean-patched unpatch

clean-patched: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f source3/Makefile ] || $(MAKE) -C source3 distclean

	# Delete stuff left after a build that is not deleted by 'make clean'
	rm -f source3/bin/wbinfo source3/bin/winbindd source3/bin/debug2html \
	source3/bin/libsmbclient.a \
	source3/client/mount.cifs source3/client/umount.cifs \
	source3/include/stamp-h

	debconf-updatepo

	dh_clean

ifeq ($(smbfs),no)
  DH_EXTRAS=-Nsmbfs
endif

install: DH_OPTIONS=$(DH_EXTRAS)
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p $(DESTDIR)/usr/lib/cups/backend $(DESTDIR)/usr/share/samba \
	         $(DESTDIR)/etc/pam.d $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d \
		$(DESTDIR)/etc/ufw/applications.d

	$(MAKE) -C source3 install DESTDIR=$(DESTDIR)

	# Rename to *.samba3 for alternatives
	mv $(DESTDIR)/usr/bin/smbstatus $(DESTDIR)/usr/bin/smbstatus.samba3
	mv $(DESTDIR)/usr/bin/nmblookup $(DESTDIR)/usr/bin/nmblookup.samba3
	mv $(DESTDIR)/usr/share/man/man1/nmblookup.1 $(DESTDIR)/usr/share/man/man1/nmblookup.samba3.1
	mv $(DESTDIR)/usr/share/man/man1/smbstatus.1 $(DESTDIR)/usr/share/man/man1/smbstatus.samba3.1
	mv $(DESTDIR)/usr/bin/net $(DESTDIR)/usr/bin/net.samba3
	mv $(DESTDIR)/usr/share/man/man8/net.8 $(DESTDIR)/usr/share/man/man8/net.samba3.8
	mv $(DESTDIR)/usr/bin/testparm $(DESTDIR)/usr/bin/testparm.samba3
	mv $(DESTDIR)/usr/share/man/man1/testparm.1 $(DESTDIR)/usr/share/man/man1/testparm.samba3.1

	# Starting with Samba 3.0.6 libsmbclient.so is installed in
	# /usr/lib/samba. We don't want it there since it is not in the
	# default library path. Here we move it to /usr/lib/.
	mv $(DESTDIR)/usr/lib/samba/libsmbclient* $(DESTDIR)/usr/lib/

	# same problem with libwbclient.
	mv $(DESTDIR)/usr/lib/samba/libwbclient* $(DESTDIR)/usr/lib/

	# Install other stuff not installed by "make install"
	install -m 0755 debian/mksmbpasswd.awk $(DESTDIR)/usr/sbin/mksmbpasswd
	install -m 0644 debian/mksmbpasswd.8 $(DESTDIR)/usr/share/man/man8/mksmbpasswd.8
	install -m 0644 nsswitch/libnss_winbind.so $(DESTDIR)/lib/libnss_winbind.so.2
	install -m 0644 nsswitch/libnss_wins.so $(DESTDIR)/lib/libnss_wins.so.2
	# Install torture stuff
	install -m 0755 source3/bin/smbtorture $(DESTDIR)/usr/bin/smbtorture
	install -m 0755 source3/bin/msgtest $(DESTDIR)/usr/bin/msgtest
	install -m 0755 source3/bin/masktest $(DESTDIR)/usr/bin/masktest
	install -m 0755 source3/bin/locktest $(DESTDIR)/usr/bin/locktest
	install -m 0755 source3/bin/locktest2 $(DESTDIR)/usr/bin/locktest2
	install -m 0755 source3/bin/nsstest $(DESTDIR)/usr/bin/nsstest
	install -m 0755 source3/bin/vfstest $(DESTDIR)/usr/bin/vfstest
	install -m 0755 source3/bin/pdbtest $(DESTDIR)/usr/bin/pdbtest
	install -m 0755 source3/bin/talloctort $(DESTDIR)/usr/bin/talloctort
	install -m 0755 source3/bin/replacetort $(DESTDIR)/usr/bin/replacetort
	install -m 0755 source3/bin/tdbtorture $(DESTDIR)/usr/bin/tdbtorture
	install -m 0755 source3/bin/smbconftort $(DESTDIR)/usr/bin/smbconftort
	mkdir -p $(DESTDIR)/usr/share/pam-configs
	install -m 0644 debian/libpam-smbpass.pam-config $(DESTDIR)/usr/share/pam-configs/smbpasswd-migrate

ifeq ($(mount_cifs),yes)
	install -m 0755 debian/mount.smbfs $(DESTDIR)/sbin/mount.smbfs
endif

	# For CUPS to support printing to samba printers, it's necessary
	#	to make the following symlink (according to
	#	Erich Schubert <debian@vitavonni.de> in #109509):
	ln -s ../../../bin/smbspool $(DESTDIR)/usr/lib/cups/backend/smb

	# ufw integration
	install -m644 debian/samba.ufw.profile $(DESTDIR)/etc/ufw/applications.d/samba

	cp debian/smb.conf* $(DESTDIR)/usr/share/samba/
	install -m755 debian/panic-action $(DESTDIR)/usr/share/samba/panic-action
	# Install samba-common's conffiles - they'll get moved later to their
	# correct place by dh_movefiles.
	cp debian/gdbcommands $(DESTDIR)/etc/samba/
	cp debian/samba.pamd $(DESTDIR)/etc/pam.d/samba
	install -m755 debian/samba-common.dhcp $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d/samba
	mkdir -p $(DESTDIR)/etc/network/if-up.d
	install -o root -g root debian/samba.if-up $(DESTDIR)/etc/network/if-up.d/samba

	dh_movefiles

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs -A debian/README.build
	# Ignore COPYING. Otherwise, an extra copy of the GPL licence 
	# in smbldap-tools example is included in samba-doc
	dh_installexamples -Xsmbldap-tools-* -XCOPYING
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.

binary-arch: DH_OPTIONS=-a $(DH_EXTRAS)
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs -A debian/README.build
	dh_installexamples
	dh_installlogrotate
	dh_installlogcheck
	DH_OPTIONS= dh_installinit -psamba -- "defaults 20 19"
	DH_OPTIONS= dh_installinit -pwinbind
	dh_installcron 
	for pkg in samba samba-common smbfs winbind; do \
	  install -m 0644 -D debian/$$pkg.lintian debian/$$pkg/usr/share/lintian/overrides/$$pkg || exit; \
	done
	dh_installchangelogs -Nlibpam-smbpass
	DH_OPTIONS= dh_installchangelogs -plibpam-smbpass source3/pam_smbpass/CHANGELOG
